Arch Remove/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Narzędzia Remove pozwalają na wykonanie 2 rodzajów operacji: * Usunięcie komponentu podrzędnego z obiektu Architektury, na przykład usunięcie prostopadłościanu, który został dodany do ściany, jak w {{Button|16px Połącz obiekty}}. * Odjęcie obiektu opartego na kształcie od komponentu Architektury, takiego jak {{Button|16px ściana}} lub {{Button|Image:Ar...")
(Created page with "Odpowiednikiem tego narzędzia jest {{Button|16px Połącz obiekty}}.")
Line 25: Line 25:
* Odjęcie obiektu opartego na [[Part_Workbench/pl|kształcie]] od komponentu Architektury, takiego jak {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch_Wall/pl|ściana]]}} lub {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure/pl|konstrukcja]]}}.
* Odjęcie obiektu opartego na [[Part_Workbench/pl|kształcie]] od komponentu Architektury, takiego jak {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch_Wall/pl|ściana]]}} lub {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure/pl|konstrukcja]]}}.


The counterpart of this tool is the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch_Add|Arch Add]]}} tool.
Odpowiednikiem tego narzędzia jest {{Button|[[Image:Arch_Add.svg|16px]] [[Arch_Add/pl|Połącz obiekty]]}}.


[[Image:Arch Remove example.jpg|600px]]
[[Image:Arch Remove example.jpg|600px]]

Revision as of 15:07, 5 May 2024

Architektura: Usuń komponent

Lokalizacja w menu
Architektura → Usuń komponent
Środowisko pracy
Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Linia cięcia, Przetnij płaszczyzną, Połącz obiekty

Opis

Narzędzia Remove pozwalają na wykonanie 2 rodzajów operacji:

  • Usunięcie komponentu podrzędnego z obiektu Architektury, na przykład usunięcie prostopadłościanu, który został dodany do ściany, jak w Połącz obiekty.
  • Odjęcie obiektu opartego na kształcie od komponentu Architektury, takiego jak ściana lub konstrukcja.

Odpowiednikiem tego narzędzia jest Połącz obiekty.

A box subtracted from a wall, leaving a hole in it.

Usage

  1. Select a subcomponent inside an Arch object.
  2. Press the button, or Arch Remove from the top menu.

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the button, or Arch Remove from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()